Show repository path
Status: New Start date: 2010-01-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This diff modifies the repository page to show the complete path to the repository.

"http://larsvn/" is the local DNS name for our repository root. Replace it by whatever be the repos root.

Related issues:

Is duplicate of Redmine - Patch #232: SCM URL/ROOT Information on Repository ... New

History

#1 - 2010-01-13 14:58 - Felix Schäfer

#3808 is somewhat similar to the intent this patch has, and I seem to remember another patch not too long ago that tried to do the same thing,

although I can't find it.

Bruno Fonzi: the problem with that is that it hardcodes the path in the view, which isn't best practice, and it makes one path mandatory for all

repositories in the redmine. This might be fine for installations where the only repos allowed are the svn repos provided by the same people as the

redmine server, but this won't work as soon as you have different SCM types and/or any repository, not only the ones on larsvn.

#2 - 2010-01-14 11:25 - Bruno Prado

You're totally right, Felix.

It works well for me 'cause we only have one SCM type, and its repositories are always in the same place.

Question: how could I change the hardcoded path to receive a variable value?

If it's worthless, you can delete this issue.

Regards.

#3 - 2010-01-16 17:21 - Holger Just

Maybe you want to have a look at #232 or my Checkout Plugin which adds a configurable link to the actual selected repository object.

#4 - 2010-01-18 08:57 - Joachim Fritschi

- File repository.diff added

I wanted the same feature without the hassle to configure the urls for all the projects.

The Checkout Plugin is nice but the link is a bit small and has to be configured for every repository which is not an option for me since we have tons

of projects. The "root" link in the repository view is really ugly to begin with so i wrote a patch that replaces the root with the configured repository

path.

#5 - 2010-01-23 16:57 - Holger Just

Joachim Fritschi wrote:

I wanted the same feature without the hassle to configure the urls for all the projects.

The Checkout Plugin is nice but the link is a bit small and has to be configured for every repository which is not an option for me since we have

tons of projects.

 I just uploaded version 0.2 of the plugin mentioned above, which mainly addresses this issue. You can now set default options and define a custom

URL using a regular expression. This should remove the need to edit any repository settings for most installations.

Additionally, the link can now be generated using the repository URL as the link text. Most of the time it is now better identifiable.

#6 - 2011-01-24 01:49 - Toshi MARUYAMA

- Category set to SCM
https://www.redmine.org/issues/3808
https://www.redmine.org/users/532
https://www.redmine.org/issues/232
http://dev.holgerjust.de/projects/redmine-checkout/wiki


#7 - 2013-05-24 15:46 - Bruno Medeiros

Any news on this? The plug-in is discontinued...

#8 - 2016-02-15 20:54 - Lluís Vilanova

Is there an alternative with redmine 3.0?

#9 - 2018-03-28 08:21 - Grigoriy Vasilchenko

Alternative: https://www.redmine.org/plugins/redmine_scm_path_view

Files

show_repository.diff 491 Bytes 2010-01-13 Bruno Prado

repository.diff 488 Bytes 2010-01-18 Joachim Fritschi
